// file: $isip/class/search/NGramCache/ngca_00.cc
// version: $Id: ngca_00.cc 9101 2003-04-19 20:52:59Z parihar $
//

// isip include files
//
#include "NGramCache.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the NGramCache class
//
NGramCache::NGramCache() {

  // initialize the cache
  //
  cache_d.setCapacity(DEF_CAPACITY);
}

// method: copy constructor
//
// arguments:
//  const NGramCache& arg: (input) node to copy
//
// return: none
//
// this is the copy constructor for the NGramCache class
//
NGramCache::NGramCache(const NGramCache& arg_a) {
  assign(arg_a);
}

// constants: required constants such as class name
//
const String NGramCache::CLASS_NAME(L"NGramCache");

// constants: i/o related constants
//
const String NGramCache::DEF_PARAM(L"NGramCache");

// static instantiations: memory manager and debug level
//
MemoryManager NGramCache::mgr_d(sizeof(NGramCache), name());
Integral::DEBUG NGramCache::debug_level_d = Integral::NONE;
